import {
    pgTable,
    timestamp,
    bigint,
} from "drizzle-orm/pg-core"

import { globalmessages } from "./globalmessages"

export const globalmessagesseen = pgTable("globalmessagesseen", {
    message: bigint("message", { mode: "number" })
        .notNull()
        .references(() => globalmessages.id),

    seenAt: timestamp("seen_at", { withTimezone: true })
        .notNull()
        .defaultNow(),
})
